import java.sql.*;

public class TimeTest {

	public static void main(String args[]) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://192.168.3.150:5432/jurka","jurka","");

		Statement stmt = conn.createStatement();
		stmt.execute("CREATE TEMP TABLE tts (a time, b timetz)");

		long ms = Timestamp.valueOf("0001-01-01 02:02:02.0").getTime();
		Timestamp timestamp = new Timestamp(ms);
		Time time = new Time(ms);

		System.out.println("Orig Values:");
		System.out.println("        " + timestamp + " - " + timestamp.getTimezoneOffset() / 60);
		System.out.println("        " + time + " - " + time.getTimezoneOffset() / 60);

		PreparedStatement pstmt = conn.prepareStatement("INSERT INTO tts VALUES (?,?)");
		pstmt.setTimestamp(1, timestamp);
		pstmt.setTimestamp(2, timestamp);
		pstmt.executeUpdate();

		pstmt.setTime(1, time);
		pstmt.setTime(2, time);
		pstmt.executeUpdate();
		pstmt.close();

		ResultSet rs = stmt.executeQuery("SELECT a,b FROM tts");
		while(rs.next()) {
			System.out.println("-------------");
			for (int i=1; i<=2; i++) {
				System.out.println(rs.getString(i));
				System.out.println(rs.getTimestamp(i) + " - " + rs.getTimestamp(i).getTimezoneOffset() / 60);
				System.out.println(rs.getTime(i) + " - " + rs.getTime(i).getTimezoneOffset() / 60);
				System.out.println();
			}
		}
		rs.close();
		stmt.close();

		conn.close();
	}
}
